Roomability Guest API
  1. Reservation
Roomability Guest API
  • Introduction
  • Authentication
  • Errors
  • Booking Flow
  • Reservation
    • Add
      POST
    • Availability
      POST
    • Cancel
      POST
    • Booking Ref
      GET
  • Country
    • Get Countries List
      GET
  • State
    • Get State List
      GET
  • RoomType
    • Get Room Types
      GET
    • Get Room Detail
      GET
  • Guest
    • Detail
      GET
  • Term
    • Detail
      GET
  • Privacy
    • Detail
      GET
  • Payment Method
    • Active List
      GET
  • Paystack
    • Verify
      GET
    • Initialize
      POST
  • Hotel
    • Detail
      GET
    • Hotel Rule
      GET
  • PayGateway
    • Detail
  • CancelPolicy
    • Detail
  • Search List
    GET
  • Phone Code List
    GET
  1. Reservation

Add

POST
https://guestapi.roomability.io/Reservation/Add
Last modified:2026-03-13 10:08:19

Add Reservation#

The Add endpoint allows users to make a reservation for a guest.

Request Body#

guest (object): Details of the guest including title, first name, last name, contact information, gender, occupation, address, etc.
title (string): Title of the guest.
firstName (string): First name of the guest.
lastName (string): Last name of the guest.
phone (string): Phone number of the guest.
email (string): Email address of the guest.
sex (string): Gender of the guest.
occupation (string): Occupation of the guest.
countryId (number): ID of the country.
address1 (string): Address line 1.
address2 (string): Address line 2.
city (string): City of residence.
stateId (number): ID of the state.
reservations (array): Details of the reservation including room type, check-in and check-out dates, number of adults and children, arrival time, purpose, rate, etc.
roomTypeId (number): ID of the room type.
checkInDate (string): Date of check-in.
checkOutDate (string): Date of check-out.
adultNo (string): Number of adults.
childNo (string): Number of children.
arrivalTime (string): Arrival time.
purpose (string): Purpose of the reservation.
rate (number): Reservation rate.
additionalReq (string): Additional requirements.
quantity (number): Quantity of rooms.
payment (object): Details of the payment including payment type, payment method, and amount.
payTypeId (number): ID of the payment type.
payMethodId (number): ID of the payment method.
amount (number): Amount of payment.

Response#

bookingRef (string): Reference for the booking.
errorCode (number): Error code, if any.
errorMessage (string): Error message, if any.

Request

Header Params

Body Params application/json

Examples

Responses

🟢200
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://guestapi.roomability.io/Reservation/Add' \
--header 'X-API-Key: {{api-key}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "guest": {
        "title": "Mr.",
        "firstName": "Kayode",
        "lastName": "Ojo",
        "phone": "09022501789",
        "email": "raymondojo57@gmail.com",
        "sex": "Male",
        "occupation": "Network Engineer",
        "countryId": 1,
        "address1": "5 Oyediran Street",
        "address2": "Oke Ira",
        "city": "Ogba",
        "stateId": 2
    },
    "reservations": [
        {
            "roomTypeId": 4,
            "checkInDate": "2025-09-15",
            "checkOutDate": "2025-09-16",
            "adultNo": "2",
            "childNo": "1",
            "arrivalTime": "2:00 PM",
            "purpose": "Business",
            "rate": 35000.00,
            "additionalReq": "",
            "quantity": 2
        },
        {
            "roomTypeId": 3,
            "checkInDate": "2025-09-15",
            "checkOutDate": "2025-09-16",
            "adultNo": "2",
            "childNo": "1",
            "arrivalTime": "2:00 PM",
            "purpose": "Business",
            "rate": 40000.00,
            "additionalReq": "",
            "quantity": 1
        }
    ],
    "payment": {
        "payTypeId": 1,
        "payMethodId": 1,
        "reference": "abc123xyz789",
        "transaction": "123abc789xyz",
        "amount": 110000.00
    }
}'
Response Response Example
{
    "bookingRef": "F8AUA6",
    "errorCode": 0,
    "errorMessage": "Reservations made successfully"
}
Modified at 2026-03-13 10:08:19
Previous
Reservation
Next
Availability
Built with